{создано при помощи ответа в форуме forum.vingrad.ru (отвечал alex-co)} 
unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
PostMessage(FindWindow('TfrmTest1', nil), WM_USER+625, 0, 0); 
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
PostMessage(FindWindow('TfrmTest1', nil), WM_USER+626, 0, 0); 
end;

end.
